Skip to main content
Resource Center/Network Service/Network Service Operations/Port Forwarding Operations

QueryPortForwardingRule

QueryPortForwardingRule

GET/zstack/v1/port-forwarding
GET/zstack/v1/port-forwarding/{uuid}

Operation ID

QueryPortForwardingRule

Since

0.6

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Query Parameters

  • q
    String

    Query conditions.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventories
    ListRequired

    See inventories.

    • uuid
      StringRequired

      The resource UUID.

    • name
      StringRequired

      The resource name.

    • description
      StringRequired

      The detailed description of the resource.

    • vipIp
      StringRequired

      The IP address of the VIP.

    • guestIp
      StringRequired

      The IP address of the VM NIC.

    • vipUuid
      StringRequired

      The VIP UUID.

    • vipPortStart
      IntegerRequired

      The start port of the VIP.

    • vipPortEnd
      IntegerRequired

      The end port of the VIP.

    • privatePortStart
      IntegerRequired

      The start port of the guest IP address.

    • privatePortEnd
      IntegerRequired

      The end port of the guest IP address.

    • vmNicUuid
      StringRequired

      The VM NIC UUID.

    • protocolType
      StringRequired

      The protocol type of the network traffic.

    • state
      StringRequired

      The state of the rule.

    • allowedCidr
      StringRequired

      The source CIDR. The port forwarding rule is only applied to the traffics of the source CIDR.

    • createDate
      TimestampRequired

      The creation date.

    • lastOpDate
      TimestampRequired

      The last operation date.